package com.company.manytomany.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import java.util.List;

@NamePattern("%s|name")
@Table(name = "MANYTOMANY_ACTIVITY")
@Entity(name = "manytomany_Activity")
public class Activity extends StandardEntity {
    @Column(name = "NAME")
    protected String name;

    @JoinTable(name = "MANYTOMANY_ACTIVITY_UNIT_LINK",
            joinColumns = @JoinColumn(name = "ACTIVITY_ID"),
            inverseJoinColumns = @JoinColumn(name = "UNIT_ID"))
    @ManyToMany
    protected List<Unit> units;

    public List<Unit> getUnits() { return units; }

    public void setUnits(List<Unit> units) { this.units = units; }

    public String getName() { return name; }

    public void setName(String name) { this.name = name; }
}