-- begin MANYTOMANY_UNIT
create table MANYTOMANY_UNIT (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    --
    primary key (ID)
)^
-- end MANYTOMANY_UNIT
-- begin MANYTOMANY_ACTIVITY
create table MANYTOMANY_ACTIVITY (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    --
    primary key (ID)
)^
-- end MANYTOMANY_ACTIVITY
-- begin MANYTOMANY_CONDITION
create table MANYTOMANY_CONDITION (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    UNIT_ID varchar(36),
    --
    primary key (ID)
)^
-- end MANYTOMANY_CONDITION
-- begin MANYTOMANY_ACTIVITY_UNIT_LINK
create table MANYTOMANY_ACTIVITY_UNIT_LINK (
    ACTIVITY_ID varchar(36) not null,
    UNIT_ID varchar(36) not null,
    primary key (ACTIVITY_ID, UNIT_ID)
)^
-- end MANYTOMANY_ACTIVITY_UNIT_LINK
